import request from '@/utils/request'

// 查询人员信息列表
export function listRyxx(query) {
  return request({
    url: '/system/ryxx/list',
    method: 'get',
    params: query
  })
}

// 查询人员信息详细
export function getRyxx(id) {
  return request({
    url: '/system/ryxx/' + id,
    method: 'get'
  })
}

// 新增人员信息
export function addRyxx(data) {
  return request({
    url: '/system/ryxx',
    method: 'post',
    data: data
  })
}

// 修改人员信息
export function updateRyxx(data) {
  return request({
    url: '/system/ryxx',
    method: 'put',
    data: data
  })
}

// 删除人员信息
export function delRyxx(id) {
  return request({
    url: '/system/ryxx/' + id,
    method: 'delete'
  })
}
